summaryrefslogtreecommitdiffstats
path: root/scratch/bash-3.1/support/printenv.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scratch/bash-3.1/support/printenv.sh')
-rwxr-xr-xscratch/bash-3.1/support/printenv.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/scratch/bash-3.1/support/printenv.sh b/scratch/bash-3.1/support/printenv.sh
new file mode 100755
index 0000000..b3a716c
--- /dev/null
+++ b/scratch/bash-3.1/support/printenv.sh
@@ -0,0 +1,27 @@
+#! /bin/sh -
+
+# Copyright (C) 1996-2002 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
+
+if [ $# -eq 0 ]; then
+ env
+ exit
+elif eval [ "\${$1-unset}" = "unset" ]; then
+ exit 1
+else
+ eval echo \$$1
+ exit 0
+fi